Show more

me: scolds someone for spending 30 minutes on a really dumb fucking forth dialect

also me: ports that same dialect to go and then turns it into a mastodon bot

instantly fucking panic'd the bot when i sent it a test message

welp

go is

not the right language to write a forth parser in

Show thread

hoo boy it has been a W H I L E since i've gotten stuck into some go

feels good to be back but damn am i rusty from all this js bullshit

Brian! boosted

account migration is just prestiging mastodon

Brian! boosted

it really does feel like we're living in the post- "sans undertale in smash" universe rn

Brian! boosted

Domain Block 

justicewarrior.social

Yet another "freeze speech" instance and it doesn't take much beyond seeing a photo commonly used for "triggered" memes as it's hero image to gather that. :blobexpressionless:

justicewarrior.social/about/mo

Brian! boosted

I will not make any 9/11 jokes tomorrow when I meet new friends. I will not make any 9/11 jokes tomorrow when I meet new friends. I will not make any 9/11 jokes tomorrow when I meet new friends. I will not make any 9/11 jokes tomorrow when I meet new friends. I will not make any 9/11 jokes tomorrow when I meet new friends. I will not make any 9/11 jokes tomorrow when I meet new friends. I will not make any 9/11 jokes tomorrow when I meet new friends. I will not make any 9/11 jokes tomorrow when I meet new friends. I will not make any 9/11 jokes tomorrow when I meet new friends.

Brian! boosted

cant wait for tomorrow where there will be 5 9/11 jokes and 30 posts asking for content warnings

Brian! boosted
Brian! boosted

yelling at java 

no other language i've ever used is this difficult to run initial configuration for

like, i know react native is patently abuse of java, but like

at least i should be able to get gradle running without encountering an error message that puts me pages deep in google

yelling at java 

i LOVE it when my package manager gives me obscure issues which all point to one thing being wrong but is actually just a lockfile existing when it shouldn't

thanks gradle

Show thread

yelling at java 

i apparently have the wrong version of java installed according to this github issue

they want java 8

java -version tells me i'm running openJDK version 1.8.0

that's version 8

what do you want from me

Show more
Mastodon for Tech Folks

This Mastodon instance is for people interested in technology. Discussions aren't limited to technology, because tech folks shouldn't be limited to technology either!